Summary:	MATE base library
Name:	libmate
Version:	1.4.0
Release:	3%{?dist}
URL:	http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz
License:	GPLv2+ and LGPLv2+

Buildrequires: mate-common mate-corba-devel mate-vfs-devel mate-conf-devel libmatecomponent-devel libcanberra-devel mate-doc-utils popt-devel
Requires: mate-conf mate-common mate-vfs
Requires(pre):	mate-conf mate-common mate-vfs-devel
Requires(post):	mate-conf mate-cmmon mate-vfs-devel
Requires(preun):	mate-conf mate-common mate-vfs-devel

%description


%package devel
Summary: Development libraries, header files and utilities for libmate
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Development libs and headers for libmate

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh

%build
%configure --disable-static --disable-schemas-install --enable-canberra --enable-gtk-doc-html 
make %{?_smp_mflags}

%pre
%mateconf_schema_prepare desktop_mate_accessibility_keyboard 
%mateconf_schema_prepare desktop_mate_accessibility_startup
%mateconf_schema_prepare desktop_mate_applications_at_mobility
#%mateconf_schema_prepare desktop_mate_aplications_at_visual
%mateconf_schema_prepare desktop_mate_applications_browser
%mateconf_schema_prepare desktop_mate_applications_office
%mateconf_schema_prepare desktop_mate_applications_office
%mateconf_schema_prepare desktop_mate_applications_terminal
%mateconf_schema_prepare desktop_mate_applications_window_manager
%mateconf_schema_prepare desktop_mate_background
%mateconf_schema_prepare desktop_mate_background
%mateconf_schema_prepare desktop_mate_file_views
%mateconf_schema_prepare desktop_mate_interface
%mateconf_schema_prepare desktop_mate_lockdown
%mateconf_schema_prepare desktop_mate_peripherals_keyboard
%mateconf_schema_prepare desktop_mate_peripherals_mouse
%mateconf_schema_prepare desktop_mate_sound
%mateconf_schema_prepare desktop_mate_thumbnail_cache
%mateconf_schema_prepare desktop_mate_thumbnailers
#%mateconf_schema_prepare desktop_mate_typingbreak

 

%post
/sbin/ldconfig
%mateconf_schema_upgrade desktop_mate_accessibility_keyboard
%mateconf_schema_upgrade desktop_mate_accessibility_startup
%mateconf_schema_upgrade desktop_mate_applications_at_mobility
#%mateconf_schema_upgrade desktop_mate_aplications_at_visual
%mateconf_schema_upgrade desktop_mate_applications_browser
%mateconf_schema_upgrade desktop_mate_applications_office
%mateconf_schema_upgrade desktop_mate_applications_office
%mateconf_schema_upgrade desktop_mate_applications_terminal
%mateconf_schema_upgrade desktop_mate_applications_window_manager
%mateconf_schema_upgrade desktop_mate_background
%mateconf_schema_upgrade desktop_mate_background
%mateconf_schema_upgrade desktop_mate_file_views
%mateconf_schema_upgrade desktop_mate_interface
%mateconf_schema_upgrade desktop_mate_lockdown
%mateconf_schema_upgrade desktop_mate_peripherals_keyboard
%mateconf_schema_upgrade desktop_mate_peripherals_mouse
%mateconf_schema_upgrade desktop_mate_sound
%mateconf_schema_upgrade desktop_mate_thumbnail_cache
%mateconf_schema_upgrade desktop_mate_thumbnailers
#%mateconf_schema_upgrade desktop_mate_typingbreak


%postun
/sbin/ldconfig
%mateconf_schema_remove desktop_mate_accessibility_keyboard
%mateconf_schema_remove desktop_mate_accessibility_startup
%mateconf_schema_remove desktop_mate_applications_at_mobility
#%mateconf_schema_remove desktop_mate_aplications_at_visual
%mateconf_schema_remove desktop_mate_applications_browser
%mateconf_schema_remove desktop_mate_applications_office
%mateconf_schema_remove desktop_mate_applications_office
%mateconf_schema_remove desktop_mate_applications_terminal
%mateconf_schema_remove desktop_mate_applications_window_manager
%mateconf_schema_remove desktop_mate_background
%mateconf_schema_remove desktop_mate_background
%mateconf_schema_remove desktop_mate_file_views
%mateconf_schema_remove desktop_mate_interface
%mateconf_schema_remove desktop_mate_lockdown
%mateconf_schema_remove desktop_mate_peripherals_keyboard
%mateconf_schema_remove desktop_mate_peripherals_mouse
%mateconf_schema_remove desktop_mate_sound
%mateconf_schema_remove desktop_mate_thumbnail_cache
%mateconf_schema_remove desktop_mate_thumbnailers
#%mateconf_schema_remove desktop_mate_typingbreak

%install
export MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=%{buildroot} install
%find_lang %{name}
rm -rf %{buildroot}/%{_libdir}/matecomponent/monikers/*.la
rm -rf %{buildroot}/%{_libdir}/*.la

%files -f %{name}.lang
%doc AUTHORS README
%{_mandir}/man7/*
%{_bindir}/mate-open
%config(noreplace) %{_sysconfdir}/sound/events/mate.soundlist
%config(noreplace) %{_sysconfdir}/sound/events/gtk2-mate-events.soundlist
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_accessibility_keyboard.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_accessibility_startup.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_applications_at_mobility.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_applications_at_visual.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_applications_browser.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_applications_office.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_applications_terminal.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_applications_window_manager.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_background.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_file_views.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_interface.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_lockdown.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_peripherals_keyboard.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_peripherals_mouse.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_sound.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_thumbnail_cache.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_thumbnailers.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_typing_break.schemas
%{_datadir}/mate-background-properties/mate-default.xml
%{_libdir}/libmate-2.so.0.400.0
%{_libdir}/libmate-2.so.0
%{_libdir}/matecomponent/monikers/libmoniker_extra_2.so
%{_libdir}/matecomponent/servers/MATE_Moniker_std.server

%files devel
%{_datadir}/gtk-doc/html/libmate/
%{_includedir}/libmate-2.0/
%{_libdir}/libmate-2.so
%{_libdir}/pkgconfig/libmate-2.0.pc

%changelog
* Sat Sep 01 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-3
Fix broken dependencies on pkgconfig and typos
 
* Sun Aug 26 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-2
- Simplify devel files to own proper directory, move gtk-doc folder to devel package, removed ldconfig from pre macro, bumped release version

* Sat Aug 25 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
- Initial build
